"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.messageErrorHandler = void 0;
const constants_1 = require("./constants");
const messageErrorHandler = (err) => {
    const statusCode = err.response.status;
    let title = 'Error';
    let icon = 'error';
    let message = err.response.data.message;
    if (statusCode === constants_1.Constants.statusCodeUnauthorized) {
        title = 'Advertencia';
        message = 'Sesión Expiró';
        icon = 'warning';
    }
    return {
        title,
        message,
        statusCode,
        icon
    };
};
exports.messageErrorHandler = messageErrorHandler;
//# sourceMappingURL=message-error-handler.js.map